Page MenuHomePhabricator

Requesting access to stat1002 for VBaranetsky
Closed, ResolvedPublic

Description

Username: VBaranetsky
Full name: D. Victoria Baranetsky
Preferred shell user name: vbaranetsky
Project: Trademark portfolio requires access to statistics to determine what project logos and TMs should be prioritized moving forward.
ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQDXDLLO7xO3ORplUgyymQvLJZ7WB2FExGHjlxTKOSRwFGVPdAqbjAZVy84y+1+jAdbkwtMYtM+NaEZQ0iXsdCU6oY9mCoolJSc5LlvWv2I6mN2m9PW/2m2CH7wLaKlrv/a4flA07T4ZZwzPYXaqzCpNAOQzoOAwCoNuBBSz27Vocoqw3tNYo/7dxzTdq3EB+MeJFxQzCqK0LZe9DMfkImHNCwEWS+11JxZyfN752n+v5RBWjP4jGz5pRPN4gM0bOeYTyMHtzUR/+cWsSLx3I55ZmZ3FvYRVa7ALTKbqvmYm5il5rVbg7ViLLud1NbKrJPewJPGC5BJWB43khMiiQurB vbaranetsky@AdminisorsAir24.corp.wikimedia.org

Details

Related Gerrit Patches:

Event Timeline

VBaranetsky raised the priority of this task from to Needs Triage.
VBaranetsky updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 30 2015, 8:39 PM
revi changed Security from None to Access Request.Sep 30 2015, 10:58 PM
revi added a project: SRE-Access-Requests.
revi edited subscribers, added: revi; removed: SRE-Access-Requests.
Restricted Application added a project: acl*sre-team. · View Herald TranscriptSep 30 2015, 10:58 PM
RobH added a subscriber: RobH.Oct 1 2015, 12:42 AM

@VBaranetsky,

Access to stat1002 is a bit complicated, as there are a couple of different groups. Your request reads " Project: Trademark portfolio requires access to statistics to determine what project logos and TMs should be prioritized moving forward."

What exact files/logs/services will you be using on stat1002?

https://wikitech.wikimedia.org/wiki/Analytics/Data_access#Access_Groups

That link shows there are two potential groups, statistics-privatedata-users or analytics-privatedata-users, please advise which you are requesting access to.

We will also need your manager to approve this access request on the task.

Once we have the above, there is a 3 day grace period for any objections. As it is Wednesday, no objects means this won't be able to be merged until next Monday.

Restricted Application added a subscriber: Matanya. · View Herald TranscriptOct 1 2015, 12:42 AM

Hi @RobH,

I am replying on behalf of @VBaranetsky. She needs to have access to Hive, hence to be added to the analytics-privatedata-users group.

Thanks a lot!

Jonathan

RobH added a comment.Oct 1 2015, 5:37 PM

We also need @VBaranetsky's managers approval on this task for this access.

Hi @RobH,

Yes. We are following up on that and will get someone to vet for @VBaranetsky ASAP.

Thanks a lot for your help.

Jonathan

Cut and paste from email sent by Geoff Brigham (happy to forward you the email):

approved

Geoff Brigham
General Counsel
Wikimedia Foundation
149 New Montgomery Street
San Francisco, CA 94105
+1 (415) 839-6885 ext. 6750
gbrigham@wikimedia.org

California Registered In-House Counsel

RobH added a comment.EditedOct 1 2015, 7:31 PM

@VBaranetsky,

I've emailed Geoff directly. Forwarding an email approval isn't any kind of secure authorization, since anyone can type anything they want. This is NOT meant as an attack on your personal character, its just policy!

So, since email blindly into my inbox is also inherently insecure, we'll do a stop-gap measure. (These measures are non-ideal, it is easier if all managers just sign up in Phabricator.)

  • I've emailed Geoff out of band with the outline of what is needed
  • Geoff can reply back directly to me, quoting my email, to demonstrate it is him replying (not some random spoofed email.)
  • Once I have that confirmation from Geoff, we can proceed with the request.
  • The access won't go live until next Monday, as it has a 3 day wait period for objection.

I completely understand the need for following protocol. Thanks for
emailing him. Please let me know when he responds.

Best,
Vickie

RobH added a comment.Oct 1 2015, 7:53 PM

I've now communicated with Geoff out of band of this task, and he has approved the access of bastion group + analytics-privatedata-users.

As previously referenced, this access will go live next Monday (unless objections are raised.)

RobH claimed this task.Oct 1 2015, 7:55 PM
RobH added a comment.Oct 5 2015, 5:28 PM

@VBaranetsky: What is your wikitech username? I don't see a VBaranetsky or anything similar (perhaps I've missed it?)

You'll need to register on https://wikitech.wikimedia.org for us to generate a user for you in production.

Please advise. (I'm creating your patchset now for this access.)

RobH reassigned this task from RobH to VBaranetsky.Oct 5 2015, 9:13 PM
RobH added a comment.Oct 6 2015, 9:32 PM

Summary: All approvals have been granted for the access request to give @VBaranetsky shell access to bastion group + analytics-privatedata-users. Unfortunately, I did not check for their wikitech username, and they don't appear to have one.

So once we have that info, we can process this request.

RobH triaged this task as Medium priority.Oct 6 2015, 9:36 PM

vbaranetsky is associated with the @wikimedia.org address. Seems connected to me.

Change 244227 had a related patch set uploaded (by John F. Lewis):
admin: create account for vbaranetsky add groups

https://gerrit.wikimedia.org/r/244227

JohnLewis removed VBaranetsky as the assignee of this task.Oct 7 2015, 6:24 PM
Dzahn assigned this task to Cmjohnson.Oct 7 2015, 7:30 PM
Dzahn added subscribers: Cmjohnson, Dzahn.

@Cmjohnson can you follow-up here as part of the on-duty week? i confirmed the UID matches the labs user and it has a @wikimedia.org address. I did not specifically confirm the key and groups yet.

I also confirmed the UID matches, the user now has a wikitech account as per Rob's suggestion. It has been more than 3 days and merging the patch.

Change 244227 merged by Cmjohnson:
admin: create account for vbaranetsky add groups

https://gerrit.wikimedia.org/r/244227

Cmjohnson closed this task as Resolved.Oct 7 2015, 8:57 PM

Resolving this task. @VBaranetsky Please let us know if you experience any problems